ompi/mca/ptl/base/ptl_base_header.h File Reference.TH "ompi/mca/ptl/base/ptl_base_header.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/ptl/base/ptl_base_header.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'mca/ptl/ptl.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_PTL_HDR_TYPE_MATCH\fP   1"
.br
.ti -1c
.RI "#define \fBMCA_PTL_HDR_TYPE_RNDV\fP   2"
.br
.ti -1c
.RI "#define \fBMCA_PTL_HDR_TYPE_FRAG\fP   3"
.br
.ti -1c
.RI "#define \fBMCA_PTL_HDR_TYPE_ACK\fP   4"
.br
.ti -1c
.RI "#define \fBMCA_PTL_HDR_TYPE_NACK\fP   5"
.br
.ti -1c
.RI "#define \fBMCA_PTL_HDR_TYPE_GET\fP   6"
.br
.ti -1c
.RI "#define \fBMCA_PTL_HDR_TYPE_FIN\fP   7"
.br
.ti -1c
.RI "#define \fBMCA_PTL_HDR_TYPE_FIN_ACK\fP   8"
.br
.ti -1c
.RI "#define \fBMCA_PTL_HDR_TYPE_MAX\fP   9"
.br
.ti -1c
.RI "#define \fBMCA_PTL_FLAGS_ACK\fP   1"
.br
.ti -1c
.RI "#define \fBMCA_PTL_FLAGS_NBO\fP   2"
.br
.ti -1c
.RI "#define \fBMCA_PTL_BASE_COMMON_HDR_NTOH\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PTL_BASE_COMMON_HDR_HTON\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PTL_BASE_MATCH_HDR_NTOH\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PTL_BASE_MATCH_HDR_HTON\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PTL_BASE_RNDV_HDR_NTOH\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PTL_BASE_RNDV_HDR_HTON\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PTL_BASE_FRAG_HDR_NTOH\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PTL_BASE_FRAG_HDR_HTON\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PTL_BASE_ACK_HDR_NTOH\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PTL_BASE_ACK_HDR_HTON\fP(h)"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_ptl_base_common_header_t\fP \fBmca_ptl_base_common_header_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_ptl_base_match_header_t\fP \fBmca_ptl_base_match_header_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_ptl_base_rendezvous_header_t\fP \fBmca_ptl_base_rendezvous_header_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_ptl_base_frag_header_t\fP \fBmca_ptl_base_frag_header_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_ptl_base_ack_header_t\fP \fBmca_ptl_base_ack_header_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_ptl_base_header_t\fP \fBmca_ptl_base_header_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "static uint64_t \fBhton64\fP (uint64_t val)"
.br
.ti -1c
.RI "static uint64_t \fBntoh64\fP (uint64_t val)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Define Documentation"
.PP 
.SS "#define MCA_PTL_BASE_ACK_HDR_HTON(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PTL_BASE_COMMON_HDR_HTON((h).hdr_common); \
    (h).hdr_dst_size = hton64((h).hdr_dst_size); \
    } while (0)
.fi
.SS "#define MCA_PTL_BASE_ACK_HDR_NTOH(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PTL_BASE_COMMON_HDR_NTOH(h.hdr_common); \
    (h).hdr_dst_size = ntoh64((h).hdr_dst_size); \
    } while (0)
.fi
.SS "#define MCA_PTL_BASE_FRAG_HDR_HTON(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PTL_BASE_COMMON_HDR_HTON((h).hdr_common); \
    (h).hdr_frag_length = hton64((h).hdr_frag_length); \
    (h).hdr_frag_offset = hton64((h).hdr_frag_offset); \
    } while (0)
.fi
.SS "#define MCA_PTL_BASE_FRAG_HDR_NTOH(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PTL_BASE_COMMON_HDR_NTOH((h).hdr_common); \
    (h).hdr_frag_length = ntoh64((h).hdr_frag_length); \
    (h).hdr_frag_offset = ntoh64((h).hdr_frag_offset); \
    } while (0)
.fi
.SS "#define MCA_PTL_BASE_MATCH_HDR_HTON(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PTL_BASE_COMMON_HDR_HTON((h).hdr_common); \
    (h).hdr_contextid = htons((h).hdr_contextid); \
    (h).hdr_src = htonl((h).hdr_src); \
    (h).hdr_dst = htonl((h).hdr_dst); \
    (h).hdr_tag = htonl((h).hdr_tag); \
    (h).hdr_msg_length = hton64((h).hdr_msg_length); \
    (h).hdr_msg_seq = htons((h).hdr_msg_seq); \
    } while (0)
.fi
.SS "#define MCA_PTL_BASE_MATCH_HDR_NTOH(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PTL_BASE_COMMON_HDR_NTOH((h).hdr_common); \
    (h).hdr_contextid = ntohs((h).hdr_contextid); \
    (h).hdr_src = ntohl((h).hdr_src); \
    (h).hdr_dst = ntohl((h).hdr_dst); \
    (h).hdr_tag = ntohl((h).hdr_tag); \
    (h).hdr_msg_length = ntoh64((h).hdr_msg_length); \
    (h).hdr_msg_seq = ntohs((h).hdr_msg_seq); \
    } while (0)
.fi
.SS "#define MCA_PTL_BASE_RNDV_HDR_HTON(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PTL_BASE_MATCH_HDR_HTON((h).hdr_match); \
    (h).hdr_frag_length = hton64((h).hdr_frag_length); \
    } while (0)
.fi
.SS "#define MCA_PTL_BASE_RNDV_HDR_NTOH(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PTL_BASE_MATCH_HDR_NTOH((h).hdr_match); \
    (h).hdr_frag_length = ntoh64((h).hdr_frag_length); \
    } while (0)
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
